---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/GUI/ControlsPanel/Anim/Amulet/"
---------------------------------------------------------------------------------------
createCompositionAmuletShine = function()
	local compositionAmuletShine = CreateCompositionSequence()
	local compositionDuration = 2
	compositionAmuletShine:setDuration(compositionDuration)
	compositionAmuletShine:setName("compositionAmuletShine" )
	-- compositionAmuletShine:setBoundingBox( Rectanglef(0, 0, 1016,422) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."amulet.png")
	element:setName("Layer_1")
	compositionAmuletShine:addElement(element)
	element:setHotSpot(57, 73.5)
	element:setParentElement(compositionAmuletShine)
	element:setXY(43.5, 360)
 
	element:setRotationRad(-0.104719755)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(-0.04166666666667, 2.29166666666667)
	effector:setKey(_TRACK_SX, 0.29166666666667, 1)
	effector:setKey(_TRACK_SY, 0.29166666666667, 1)
	effector:setKey(_TRACK_SX, 0.79166666666667, 1.15)
	effector:setKey(_TRACK_SY, 0.79166666666667, 1.15)
	effector:setKey(_TRACK_SX, 0.95833333333333, 1)
	effector:setKey(_TRACK_SY, 0.95833333333333, 1)
	effector:setKey(_TRACK_SX, 1.45833333333333, 1.15)
	effector:setKey(_TRACK_SY, 1.45833333333333, 1.15)
	effector:setKey(_TRACK_O, -0.04166666666667, 0)
	effector:setKey(_TRACK_O, 0.375, 1)
	effector:setKey(_TRACK_O, 0.95833333333333, 0)
	effector:setKey(_TRACK_O, 1.29166666666667, 1)
	effector:setKey(_TRACK_O, 1.95833333333333, 0)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."amulet.png")
	element:setName("Layer_2")
	compositionAmuletShine:addElement(element)
	element:setHotSpot(57, 73.5)
	element:setParentElement(compositionAmuletShine)
	element:setXY(43.5, 360)
 
	element:setRotationRad(-0.104719755)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(-0.04166666666667, 1.95833333333333)
	effector:setKey(_TRACK_SX, 0.04166666666667, 1)
	effector:setKey(_TRACK_SY, 0.04166666666667, 1)
	effector:setKey(_TRACK_SX, 0.70833333333333, 1.15)
	effector:setKey(_TRACK_SY, 0.70833333333333, 1.15)
	effector:setKey(_TRACK_SX, 1.35831705729167, 1)
	effector:setKey(_TRACK_SY, 1.35831705729167, 1)
	effector:setKey(_TRACK_SX, 1.808349609375, 1.15)
	effector:setKey(_TRACK_SY, 1.808349609375, 1.15)
	effector:setKey(_TRACK_O, -0.04166666666667, 0)
	effector:setKey(_TRACK_O, 0.125, 1)
	effector:setKey(_TRACK_O, 0.70833333333333, 0)
	effector:setKey(_TRACK_O, 1.20833333333333, 0)
	effector:setKey(_TRACK_O, 1.35831705729167, 1)
	effector:setKey(_TRACK_O, 1.95833333333333, 0)
	effector:play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."rays.png")
	element:setName("Layer_3")
	compositionAmuletShine:addElement(element)
	element:setHotSpot(100, 97.5)
	element:setParentElement(compositionAmuletShine)
	element:setXY(46, 364.5)
 
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:setKey(_TRACK_SX, 0, 0.97)
	effector:setKey(_TRACK_SY, 0, 0.97)
	effector:setKey(_TRACK_SX, 1, 1.5)
	effector:setKey(_TRACK_SY, 1, 1.5)
	effector:setKey(_TRACK_SX, 2, 0.97)
	effector:setKey(_TRACK_SY, 2, 0.97)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 1, -0.174532925)
	effector:setKey(_TRACK_A, 2, 0)
	effector:play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."rays.png")
	element:setName("Layer_4")
	compositionAmuletShine:addElement(element)
	element:setHotSpot(100, 97.5)
	element:setParentElement(compositionAmuletShine)
	element:setXY(45.5, 364.5)
 
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:setKey(_TRACK_SX, 0, 0.97)
	effector:setKey(_TRACK_SY, 0, 0.97)
	effector:setKey(_TRACK_SX, 1, 1.5)
	effector:setKey(_TRACK_SY, 1, 1.5)
	effector:setKey(_TRACK_SX, 2, 0.97)
	effector:setKey(_TRACK_SY, 2, 0.97)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 1, 0.0872664625)
	effector:setKey(_TRACK_A, 2, 0)
	effector:play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."rays_1.png")
	element:setName("Layer_5")
	compositionAmuletShine:addElement(element)
	element:setHotSpot(36.5, 52)
	element:setParentElement(compositionAmuletShine)
	element:setXY(47.5, 360.5)
 
	element:setScale(2.71,2.71)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 2, 0.174532925)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 1, 0.5)
	effector:setKey(_TRACK_O, 2, 0)
	effector:play()
  
 
	compositionAmuletShine:play()
 
	return compositionAmuletShine
end